<?php

global $Plvc_Multiple;
global $Plvc;

$user_roles = $Plvc->ClassConfig->get_all_user_roles();

?>
<div class="wrap <?php $Plvc->Plugin['ltd']; ?>">

	<h2><?php echo $Plvc_Multiple->name; ?></h2>
	
	<p>&nbsp;</p>

	<div class="metabox-holder columns-2">

		<div id="postbox-container-2" class="postbox-container">

			<p><strong><?php _e( 'Ready to set up multi can be used.' , $Plvc_Multiple->ltd ); ?></strong></p>
			<p>&nbsp;</p>
			<p><?php _e( 'Please choose and set the user roles from the list display setting.' , $Plvc_Multiple->ltd ); ?></p>
			<p style="color: red;"><?php _e( 'Please note whether you are logged in with any privileges when you check the screen.' , $Plvc_Multiple->ltd ); ?></p>
			<p>&nbsp;</p>
				
			<table class="form-table">
				<tbody>
					<tr>
						<th><?php _e( 'Multiple Setups Add-on Ver' , $Plvc_Multiple->ltd ); ?></th>
						<td><?php echo $Plvc_Multiple->ver; ?></td>
					</tr>
					<tr>
						<th><?php _e( 'About the Add-on' , $Plvc_Multiple->ltd ); ?></th>
						<td><a href="<?php echo $Plvc_Multiple->Plugin['links']['about']; ?>" target="_blank" class="button button-primary"><?php echo $Plvc_Multiple->name; ?></a></td>
					</tr>
				</tbody>
			</table>
			
			<p>&nbsp;</p>
			
			<h3><?php _e( 'Copy Data from Original' , $Plvc_Multiple->ltd ); ?></h3>
			<form id="<?php echo $Plvc_Multiple->ltd; ?>_original_data_copy" class="<?php echo $Plvc_Multiple->ltd; ?>_form" method="post" action="<?php echo $Plvc->ClassManager->get_action_link(); ?>">

				<input type="hidden" name="<?php echo $Plvc->Plugin['form']['field']; ?>" value="Y">
				<?php wp_nonce_field( $Plvc_Multiple->ltd . '_original_data_copy' , $Plvc_Multiple->ltd . '_original_data_copy' ); ?>

				<table class="form-table">
					<tbody>
						<tr>
							<th>
								<?php _e( 'Original Data' , $Plvc_Multiple->ltd ); ?>
							</th>
							<td>
								<?php $rewrite_records = $Plvc_Multiple->ClassConfig->get_rewrite_redords_name(); ?>
								<select name="data[orignal]">
									<?php foreach( $rewrite_records as $record_id => $record_name ) : ?>
										<option value="<?php echo $record_id; ?>">
											<?php if( $record_id == 'post' ) : ?>
												<?php _e( 'Posts' ); ?>
											<?php elseif( $record_id == 'page' ) : ?>
												<?php _e( 'Pages' ); ?>
											<?php elseif( $record_id == 'media' ) : ?>
												<?php _e( 'Media Library' ); ?>
											<?php elseif( $record_id == 'comments' ) : ?>
												<?php _e( 'Comments' ); ?>
											<?php elseif( $record_id == 'widgets' ) : ?>
												<?php _e( 'Available Widgets' ); ?>
											<?php elseif( $record_id == 'menus' ) : ?>
												<?php _e( 'Menus' ); ?> <?php _e( 'show screen' , $Plvc->Plugin['ltd'] ); ?>
											<?php elseif( $record_id == 'menus_adv' ) : ?>
												<?php _e( 'Menus' ); ?> <?php _e( 'show advanced properties screen' , $Plvc->Plugin['ltd'] ); ?>
											<?php elseif( $record_id == 'custom_posts' ) : ?>
												<?php _e( 'Custom Post Type' , $Plvc->Plugin['ltd'] ); ?>
											<?php elseif( $record_id == 'users' ) : ?>
												<?php _e( 'Users' ); ?>
											<?php endif; ?>
										</option>
									<?php endforeach; ?>
								</select>
							</td>
						</tr>
						<tr>
							<th>
								<?php _e( 'Copy Data to user role' , $Plvc_Multiple->ltd ); ?>
							</th>
							<td>
								<select name="data[user_role]">
									<?php foreach( $user_roles as $role => $val ) : ?>
										<option value="<?php echo $role; ?>"><?php echo $val['label']; ?></option>
									<?php endforeach; ?>
								</select>
							</td>
						</tr>
					</tbody>
				</table>
				
				<?php submit_button(); ?>

			</form>
			
		</div>

		<div class="clear"></div>

	</div>

</div>
